Tryton - Issues

 

Issue7026

Title Unable to inactivate reports from user interface
Priority bug Status resolved
Superseder Nosy List ced, pokoli, reviewbot, risto3, roundup-bot
Type crash Components trytond
Assigned To ced Keywords review
Reviews 41231002
View: 41231002

Created on 2017-12-21.10:50:32 by pokoli, last changed by roundup-bot.

Messages
New changeset ec4c04a34644 by Cédric Krier in branch 'default':
Rename with_inactive_records decorator
http://hg.tryton.org/trytond/rev/ec4c04a34644
msg39670 (view) Author: [hidden] (risto3) Date: 2018-04-03.14:41:20
typo alert? 
is 'with_intactive_records' supposed to be 
   'with_inactive_records'?
New changeset 1b31be06c525 by Cédric Krier in branch 'default':
Remove active test in search_domain of Many2One and Reference
http://hg.tryton.org/trytond/rev/1b31be06c525
review41231002 updated at https://codereview.tryton.org/41231002/#ps20001
msg39652 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2018-04-03.10:12:04
I've tested the patch and I can confirm that it solves the issue. Thanks.
review41231002 updated at https://codereview.tryton.org/41231002/#ps1
msg39581 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-03-31.00:04:49
I found the problem. It is when searching on a Many2One (or Reference) which is deactivated. review41231002 remove the active test in such case because the value is always stored on the record no matter the "active" value of the target.
msg37417 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2017-12-21.10:50:32
When unchecking the active field on the reports table the following error is raised:

You try to read records that don't exist anymore.
(Document type: ir.action.report)

After accepting the error, the record disapears from the UI (so it's marked as in active) but searching with active = False does not show the record. 

I reproduced it on trunk and on demo4.6
History
Date User Action Args
2018-04-03 14:55:04roundup-botsetstatus: chatting -> resolved
messages: + msg39671
2018-04-03 14:41:20risto3setstatus: resolved -> chatting
nosy: + risto3
messages: + msg39670
2018-04-03 13:20:40roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg39666
2018-04-03 11:00:32reviewbotsetmessages: + msg39657
2018-04-03 10:12:05pokolisetmessages: + msg39652
2018-03-31 00:09:28reviewbotsetnosy: + reviewbot
messages: + msg39582
2018-03-31 00:04:50cedsetstatus: unread -> testing
keyword: + review
nosy: + ced
messages: + msg39581
reviews: 41231002
assignedto: ced
2017-12-21 10:50:33pokolicreate

Showing 10 items. Show all history (warning: this could be VERY long)